# Mastodon Tools

Various little tools Python for interacting with Mastodon.  You will need to register for a access token on your Mastodon instance.  Ask your admin if you're unsure.

## On This Day

This service shows all the posts you made on this day in previous years.

[Read The Blog Post](https://shkspr.mobi/blog/2022/11/building-an-on-this-day-service-for-mastodon/)

## Threads

This lets you visualise a conversation tree. Give it the URL of any post on your instance and it will get all the replies to it.

Usage:

`python3 threads.py https://your_mastodon.instance/@username@their.instance/1234`

⚠ Note! Large conversations may take a long time to retrieve from the API.

## Status

Pretty Prints (in colour!) all the data behind a status.

Usage:

`python3 status.py https://mastodon.social/@Edent/109358520333182101`